
#ifndef Game_Graphics_H
#define Game_Graphics_H


#include "Juna/D2D/Direct2D.h"

class GraphicsManager
{
public:
	GraphicsManager(void) {}

	bool Initialize(bool fullscreen);
	void Terminalize(void);
	bool ChangeScreen(bool fullscreen);

	bool isFullScreen(void) const {return Manager.isFullScreen();}

	Juna::D2D::Manager Manager;

	Juna::D2D::SpriteSurface Sprite;
	Juna::D2D::SpriteSurface ASCII;

	Juna::D2D::BGSurface BG;
};


#endif
