
#include "../../WindowsPlayer.h"

namespace Juna {
namespace Sound {

int GetPlayDriverNum(void) {return 3;}

const char *GetPlayDriverNameA(int index)
{
	switch (index)
	{
	case 0: return "Juna DirectSoundPlayDriver";
	}
	return NULL;
}

const wchar_t *GetPlayDriverNameW(int index)
{
	switch (index)
	{
	case 0: return L"Juna DirectSoundPlayDriver";
	}
	return NULL;
}

I_PlayDriver *GetPlayDriverInterface(int index)
{
	switch (index)
	{
	case 0: return GetDirectSoundPlayDriver();
	}
	return NULL;
}

}//namespace Sound
}//namespace Juna
