
#ifndef Game_Machine_Gun_H
#define Game_Machine_Gun_H

#include "Weapon.h"


class MachineGun : public I_Weapon
{
public:
	MachineGun(void);
	~MachineGun(void);

	virtual void BootUp(Generator &generator);
	virtual void Active(bool trigger,const Point &pos,RadianAngle dir);
	virtual bool ShutDown(void);

	virtual void Break(void);

private:
	Generator *Gen;
	int16 BulletCount;
	bool Reload;
};



#endif
