
#ifndef Game_SoundManager_H
#define Game_SoundManager_H


#include "Juna/Sound/Player.h"

class SoundManager
{
public:
	SoundManager(void);
	~SoundManager();

	bool Initialize(void);
	void Terminalize(void);

	bool isInitialized(void) const {return Driver != 0;}

	Juna::Sound::I_Player &bgmPlayer(void) {return *BGMPlayer;}
	void PlaySE1(void);
	void PlaySE2(void);

private:
	Juna::Sound::I_PlayDriver *Driver;

	Juna::Sound::I_StreamPlayer *BGMPlayer;

	Juna::Sound::I_PoolPlayer *SE1[2];
	int SE1_Index;

	Juna::Sound::I_PoolPlayer *SE2;
};


#endif


