
#ifndef Game_Weapon_H
#define Game_Weapon_H

#include "TypeDef.h"

//#include "Generator.h"
class Generator;


//	V[^[iVbǵjC^[tFCX
class I_Shooter
{
protected:
	~I_Shooter() {}
public:
	virtual void Shoot(Generator &generator,const Point &pos,RadianAngle dir) = 0;
	virtual float SetSpeed(float speed) = 0;
};


//	iVbgiԂlāj́jC^[tFCX
class I_Weapon
{
protected:
	~I_Weapon() {}
public:
	virtual void BootUp(Generator &generator) = 0;
	virtual void Active(bool trigger,const Point &pos,RadianAngle dir) = 0;
	virtual bool ShutDown(void) = 0;

	virtual void Break(void) = 0;
};


#endif
