
#ifndef Juna_ACM_Reader_H
#define Juna_ACM_Reader_H

#include "Juna/Sound/InputStream.h"
#include "Juna/IO/InputFile.h"

#include <windows.h>
#include <mmreg.h>
#include <msacm.h>


//acm̈ʒu֌W(Seek,tell,length)͂ȂɌ덷ƎvĎgĂ炢܂
//ɒʏWAVE_FORMAT_PCMȂ瑽mɓƎvǁB


class ACM_FileReader : public Juna::Sound::I_SeekableInputStream
{
//	typedef Juna::Sound::I_SeekableInputStream I_SeekableInputStream_;
	typedef Juna::Sound::Format Format;
	typedef Juna::Sound::uint32 uint32;

	ACM_FileReader(void);
	virtual ~ACM_FileReader() {Close();}
public:
	static ACM_FileReader *Create(void);

	bool OpenWaveFile
		(const char *filename,
		 DWORD offset = 0,			//RIFF̊Jnʒu
		 DWORD bufsize = 8 * 1024,	//ĂƁ`ȃftHgTCY
		 bool fact = false);		//t@Ng`NQƂ邩
	void Close(void);

//I_SeekableInputStream interface

	virtual void AddRef(void) {RefCounter++;}
	virtual void Release(void);
//߂ǂigɎۏ؂łȂjQƃJE^𖳎B

	virtual uint32 Read(void *oDest,uint32 iSize);
	virtual Format GetFormat(void) const {return SoundFormat;}
	virtual bool isEnd(void) const {return File.isEnd();}
	virtual bool Failed(void) {bool r = Error;Error = false;return r;}

	virtual uint32 Seek(uint32 samples);
	virtual uint32 Tell(void) const {return ReadPos;}
	virtual uint32 GetLength(void) const {return Length;}


//data`Ñf[^w肵ĊJ
	bool Open_data
		(const char *filename,
		 unsigned long offset,unsigned long size,	//
		 WAVEFORMATEX *srcwfx,	//gmۂĂ|C^
		 long srcbufsize,		//ϊobt@̖ڈ̃TCY
		 DWORD factsize = 0);	//ĂȂ琳mȃTvPʂ̃TCY

private:
	Juna::IO::InputFile File;
	Format SoundFormat;

	unsigned long Length;

	unsigned long AverageByte;
	long BlockAlign;

	HACMSTREAM hAcmStream;

	BYTE *SrcBuffer;
	BYTE *DestBuffer;
	DWORD SrcBufferSize;
	DWORD DestBufferSize;

	DWORD SrcBufferRemain;
	DWORD DestBufferRemain;
	DWORD DestRemainStart;

	ACMSTREAMHEADER ACMStreamHdr;
	int SrcReadEnd;
	long ReadPos;

	WAVEFORMATEX *SrcFormat;

	bool Error;

	int RefCounter;
private://Rs[֎~
	ACM_FileReader(ACM_FileReader &);
	void operator=(const ACM_FileReader &);
};


#endif
