
#ifndef Game_Object_Allocator_H
#define Game_Object_Allocator_H

#include "Juna/BlockHeap.hpp"

class I_Allocator : protected Juna::BlockHeap
{
protected:
	typedef Juna::BlockHeap baseClass;
	I_Allocator(void) {}
	~I_Allocator() {}
public:
	using baseClass::Allocate;
	using baseClass::Deallocate;

	using baseClass::full;
	using baseClass::blockSize;
	using baseClass::capacity;
	using baseClass::allocNum;
};

class Allocator : public I_Allocator
{
public:
	using I_Allocator::Initialize;
};

#endif
