
#ifndef Game_Common_Shoot_H
#define Game_Common_Shoot_H

#include "Weapon.h"

/*


//˒einWaye̔Ώ̎j
void RadiantShoot(float x,float y,const I_Shooter &shooter,
				  int shotNum,float baseAngle,float addAngle,float speed,
				  I_ShotManager &shotManager);


//de
void MultiSpeedShoot(float x,float y,const I_Shooter &shooter,
				  int shotNum,float angle,float baseSpeed,float addSpeed,
				  I_ShotManager &shotManager);

//nWay+d
void ArchShoot(float x,float y,const I_Shooter &shooter,
			   int shotNum,
			   float angle,float addAngle,float speed,float addSpeed,
			   I_ShotManager &shotManager);


//~`˒eiSʒej
void RoundRadiantShoot(float x,float y,const I_Shooter &shooter,
					   int shotNum,float angle,float speed,
					   I_ShotManager &shotManager);

//c~`e
void ExpandableRingShoot(float x,float y,const I_VectorShooter &shooter,
						 int shotNum,float angle,float startRadius,float expandSpeed,
						 float centerSpeed,
						 I_ShotManager &shotManager);

//_΂܂
void RandomShoot(float x,float y,const I_Shooter &shooter,
				 float minAngle,float maxAngle,float minSpeed,float maxSpeed,
				 I_ShotManager &shotManager);

//AeShoot


//]
//angle = baseAngle + addAngle * count;
void RotateShoot(int counter,
				 float x,float y,const I_Shooter &shooter,
				 float baseAngle,float addAngle,float speed,
				 I_ShotManager &shotManager);

//angle = st0artAngle + 2*Pi / angleNum * ((baseAngle + count % angleNum);
void RotateShoot(int counter,
				 float x,float y,const I_Shooter &shooter,
				 float startAngle,int angleNum,float speed,
				 I_ShotManager &shotManager);

void SwingShoot(int counter,
				float x,float y,const I_Shooter &shooter,
				float startAngle,float swingAngle,int angleNum,
				float speed,I_ShotManager &shotManager);


//ueShooter






class MultiSpeedShooter : public I_Shooter
{
public:
	MultiSpeedShooter(const I_Shooter &shooter,int shotNum,float addSpeed)
		: Shooter(shooter),ShotNum(shotNum),AddSpeed(addSpeed)
	{}

	virtual void Shoot(float x,float y,float angle,float speed,
					   I_ShotManager &shotManager) const
	{MultiSpeedShoot(x,y,Shooter,ShotNum,angle,speed - AddSpeed * (ShotNum-1) / 2,AddSpeed,shotManager);}

private:
	const I_Shooter &Shooter;
	int ShotNum;
	float AddSpeed;
};

class ArchShooter : public I_Shooter
{
public:
	ArchShooter(const I_Shooter &shooter,int shotNum,float addAngle,float addSpeed)
		: Shooter(shooter),ShotNum(shotNum),AddAngle(addAngle),AddSpeed(addSpeed)
	{}

//Ώ̒eǁAƂ肠nWayIɕ
	virtual void Shoot(float x,float y,float angle,float speed,
					   I_ShotManager &shotManager) const
	{
		ArchShoot(x,y,Shooter,ShotNum,
				  angle - AddAngle * (ShotNum-1) / 2,AddAngle,
				  speed - AddSpeed * (ShotNum-1) / 2,AddSpeed,
				  shotManager);
	}

private:
	const I_Shooter &Shooter;
	int ShotNum;
	float AddAngle;
	float AddSpeed;
};


class RoundRadiantShooter : public I_Shooter
{
public:
	RoundRadiantShooter(const I_Shooter &shooter,int shotNum)
		: Shooter(shooter),ShotNum(shotNum)
	{}

	virtual void Shoot(float x,float y,float angle,float speed,
					   I_ShotManager &shotManager) const
	{RoundRadiantShoot(x,y,Shooter,ShotNum,angle,speed,shotManager);}

private:
	const I_Shooter &Shooter;
	int ShotNum;
};

class ExpandableRingShooter : public I_Shooter
{
public:
	ExpandableRingShooter(const I_VectorShooter &shooter,
						  int shotNum,float startRaius,float expandSpeed)
		: Shooter(shooter),ShotNum(shotNum),StartRaius(startRaius),ExpandSpeed(expandSpeed)
	{}

	virtual void Shoot(float x,float y,float angle,float speed,
					   I_ShotManager &shotManager) const
	{ExpandableRingShoot(x,y,Shooter,ShotNum,angle,StartRaius,ExpandSpeed,speed,shotManager);}

private:
	const I_VectorShooter &Shooter;
	int ShotNum;
	float StartRaius;
	float ExpandSpeed;
};

*/
#endif

