

#include "Game.h"
//class Game`

//vC^[tFCX
/*
class Game
{
protected:
//@trueԂB
	bool Initialize(void);
//Pt[̏@I鎞falseԂ
	bool ProcessFrame(void);
//\[X
	void Release(void);

//WindowɂԂB
	const char *GetWindowNameA(void);
	const wchar_t *GetWindowNameW(void);
//ݒ肷t[[gԂ
	int GetFrameRate(void);

//ANeBuԕωCxg
	void Activate(bool);
//@ANeBuɂȂtrue
//@ANeBuɂȂfalse

//ANeBuԎĕ`vCxg
	void NonActivePaint(void);
};
*/
#ifdef UNICODE
	#define GetWindowName GetWindowNameW
#else
	#define GetWindowName GetWindowNameA
#endif

//ANeBuAt[ĂяoȂ
#define SLEEP_BACKGROUND



#include <crtdbg.h>
#include <windows.h>

namespace {


template<class base_GameClass>
class GameFrame : public base_GameClass
{
public:
	GameFrame(void)
		: base_GameClass(),hWindow(0),Active(true)
	{}

	int GameMain(void)
	{
		if (!GameInitialize())
			return -1;

		DWORD FrameCounter = 0;
		DWORD StartTime = ::timeGetTime();
		DWORD FrameRate = base_GameClass::GetFrameRate();

		for (;;)
		{
			MSG msg;
			while (::PeekMessage(&msg,NULL,0,0,PM_NOREMOVE))
			{
				int gmr = ::GetMessage(&msg,NULL,0,0);
				if (gmr == 0 || gmr == -1)
					return 1;
				::TranslateMessage(&msg);
				::DispatchMessage(&msg);
			}

//
#ifdef SLEEP_BACKGROUND
			if (!Active) {::WaitMessage();continue;}
#endif

			if (!base_GameClass::ProcessFrame())
			{
				::DestroyWindow(hWindow);
				return 0;
			}
	//^C~O֌W
			FrameCounter++;
			//Ԓ
			DWORD wt = FrameCounter * 1000 / FrameRate;
			DWORD gt = timeGetTime();
			if (gt - StartTime >= wt)
			{	//ԂI[o[AȂ悤ɕ␳
				StartTime += gt - (StartTime + wt);
			}
			else
			{	//|[Oő҂
				while (timeGetTime() - StartTime < wt)
				{
					Sleep(1);
					while (::PeekMessage(&msg,NULL,0,0,PM_NOREMOVE))
					{
						int gmr = ::GetMessage(&msg,NULL,0,0);
						if ((gmr == 0) | (gmr == -1))
							return msg.wParam;
						::TranslateMessage(&msg);
						::DispatchMessage(&msg);
					}
				}
			}
			//ꎞI1000{̂ŃI[o[t[΍
			if (FrameCounter > FrameRate * 60 * 60)
			{	//@ꎞԂ炢o߂JE^Zbg
				StartTime = timeGetTime();
				FrameCounter = 0;
			}
		}
	}

private:
	bool GameInitialize(void)
	{
		HWND hwnd = NULL;
		HINSTANCE hinst = ::GetModuleHandle(NULL);
		const LPCTSTR ClassName = __TEXT("JunaGameWindow");

		WNDCLASSEX wcex = {sizeof(WNDCLASSEX),0,initWindowProc,
						   0,0,hinst,
						   NULL,::LoadCursor(NULL,IDC_ARROW),NULL,
						   NULL,ClassName,NULL};
		if (::RegisterClassEx(&wcex) == 0)
			return false;

		DWORD style = WS_CAPTION | WS_SYSMENU | WS_MINIMIZEBOX | WS_DLGFRAME;
		hwnd =  ::CreateWindowEx(0,ClassName,base_GameClass::GetWindowName(),style,
								 CW_USEDEFAULT,0,CW_USEDEFAULT,CW_USEDEFAULT,
								 NULL,NULL,hinst,this);
		if (!hwnd)
			return false;
		::ShowWindow(hwnd,SW_SHOWDEFAULT);

		if (!base_GameClass::Initialize())
		{
			::DestroyWindow(hwnd);
			return false;
		}
		hWindow = hwnd;
		return true;
	}

private:	//
	HWND hWindow;
	bool Active;

private:

	//p
	static LRESULT CALLBACK initWindowProc(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam)
	{
		if (uMsg == WM_CREATE)
		{
			GameFrame *this_ = (GameFrame *)((LPCREATESTRUCT)lParam)->lpCreateParams;
			::SetWindowLongPtr(hwnd,GWL_USERDATA,(LONG_PTR)this_);
			::SetWindowLong(hwnd,GWL_WNDPROC,(LONG_PTR)staticWindowProc);
			return this_->WindowProc(hwnd,uMsg,wParam,lParam);
		}
		return ::DefWindowProc(hwnd,uMsg,wParam,lParam);
	}
	//ԐڎQ
	static LRESULT CALLBACK staticWindowProc(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam)
	{
		return ((GameFrame *)::GetWindowLongPtr(hwnd,GWL_USERDATA))->WindowProc(hwnd,uMsg,wParam,lParam);
	}

	//{
	LRESULT WindowProc(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam)
	{
		switch (uMsg)
		{
		case WM_CREATE:
			::timeBeginPeriod(1);
			return 0;

		case WM_DESTROY:
			::timeEndPeriod(1);
			base_GameClass::Terminalize();
			::PostQuitMessage(0);
			return 0;

		case WM_CLOSE:
			::DestroyWindow(hwnd);
			return 0;

		case WM_KEYUP:
			switch (wParam)
			{
			case VK_F11: {
				base_GameClass::Terminalize();
				if (!base_GameClass::Initialize())
					::DestroyWindow(hwnd);
			} break;
			}
			return 0;
		case WM_SYSKEYUP:
			switch (wParam)
			{
			case VK_RETURN: {
				if (!base_GameClass::ScreenChange())
					::DestroyWindow(hwnd);
			} break;
			}
			return 0;

		case WM_ACTIVATE:
			Active = (LOWORD(wParam) != WA_INACTIVE);
			base_GameClass::Activate(Active);
			return 0;

		case WM_PAINT:
			{
				PAINTSTRUCT ps;
				::BeginPaint(hwnd,&ps);
				if (!Active)
				{
//					::FillRect(ps.hdc,&ps.rcPaint,(HBRUSH)(COLOR_WINDOW + 1));
					base_GameClass::NonActivePaint();
				}
				::EndPaint(hwnd,&ps);
			}
			return 0;

		}
		return ::DefWindowProc(hwnd,uMsg,wParam,lParam);
	}
};



}//namespace ""


int WINAPI WinMain(HINSTANCE hThisInst,HINSTANCE hPrevInst,
				   LPSTR lpszArgs,int nWinMode)
{
	_CrtSetDbgFlag(_CRTDBG_ALLOC_MEM_DF | _CRTDBG_LEAK_CHECK_DF);

	static GameFrame<Game> game;
	return game.GameMain();
}

