
#ifndef Juna_Direct2D_SpriteScreenSurface_H
#define Juna_Direct2D_SpriteScreenSurface_H

#include "../Direct2D.h"

namespace Juna {
namespace D2D {


//BlitɂȂBlitT[tBXC^[tFCX
//ƂÂ߂̒ԊǗNX
class I_SpriteScreenSurface : public I_SpriteSurface, public I_ScreenSurface, private I_Managed
{
protected:
	I_SpriteScreenSurface(void) {}
	~I_SpriteScreenSurface() {}
public:
	using I_ScreenSurface::width;
	using I_ScreenSurface::height;
	using I_ScreenSurface::depth;
	using I_ScreenSurface::rect;
	using I_ScreenSurface::frect;
	I_Surface &GetSurface(void) {return static_cast<I_SpriteSurface &>(*this);}
	const I_Surface &GetSurface(void) const {return static_cast<const I_SpriteSurface &>(*this);}

protected:
//h̋L
	bool Initialize(D2D::Manager &manager,int width,int height);
	virtual void Terminalize(void);

	virtual void Release(void);
	virtual bool Restore(void);
};

//BlitɂȂBlitT[tBXiXgj
class SpriteScreenSurface : public I_SpriteScreenSurface
{
public:
	SpriteScreenSurface(void) {}
	~SpriteScreenSurface() {Terminalize();}

	bool Initialize(D2D::Manager &manager,int width,int height);
	virtual void Terminalize(void);

private:
//	virtual void Release(void);
//	virtual bool Restore(void);
};

//BlitɂȂBlitT[tBXi񃍃Xgj
class SpriteScreenSurface2 : public I_SpriteScreenSurface
{
public:
	SpriteScreenSurface2(void) {}
	~SpriteScreenSurface2() {Terminalize();}

	bool Initialize(D2D::Manager &manager,int width,int height);
	virtual void Terminalize(void);

	bool SaveImage(const Rect *rect = 0);
	bool RestoreImage(const Rect *rect = 0);

private:
	ImageSurface Backup;

//	virtual void Release(void);
	virtual bool Restore(void);
};


}//namespace D2D
}//namespace Juna

#endif
