
#ifndef Juna_InputFile_H
#define Juna_InputFile_H


namespace Juna {
namespace IO {

//ǂݍ݃t@CNX
class InputFile
{
public:
	InputFile(void) : FileHandle(0),Offset(0),Size(0),TellPosition(0) {}
	InputFile(const char *filename) : FileHandle(0) {Open(filename);}
	InputFile(const char *filename,unsigned long offset,unsigned long size)
		: FileHandle(0) {Open(filename,offset,size);}
	~InputFile() {Close();}

	bool Open(const char *filename);
	bool Open(const char *filename,unsigned long offset,unsigned long size);
	void Close(void);

	bool isOpen(void) const {return (FileHandle != 0);}

	unsigned long Read(void *dest,unsigned long size);
// if (size != 0 && file.Read(dest,size) == 0 && file.isEOF() == false)
//     error occur;
//sꍇASeek()Ă΂Ȃ莟Read()̌ʂ͖`ł

//͈͊Ow肵ꍇA͈͓ɃNbsOĎs܂B
	bool Seek(unsigned long position);
	unsigned long Tell(void) const {return TellPosition;}
	unsigned long GetSize(void) const {return Size;}
	bool isEnd(void) const {return TellPosition == Size;}

//ǂ߂͈͂k܂B
//Jnʒufronti߂āAI[ʒubackOɐݒ肵܂B
//݂̓ǂݍ݈ʒu͈͊OɂȂfalseԂA
//Seek()܂ŁARead(),isEnd(),tell()͖̓`łB
	bool ReduceRange(unsigned long front,unsigned long back);

private:
	void *FileHandle;
	unsigned long Offset;
	unsigned long Size;
	unsigned long TellPosition;

private://Rs[֎~
	InputFile(InputFile &);
	void operator=(const InputFile &);
};

}//namespace IO
}//namespace Juna

//#include "Source/InputFile.cpp"
#endif
