
#ifndef Juna_Sound_InputStream_H
#define Juna_Sound_InputStream_H

#include "Format.h"

namespace Juna {
namespace Sound {

//̓Xg[
class I_InputStream
{
protected:
	~I_InputStream() {}
public:
//	QƃJE^
	virtual void AddRef(void) = 0;
	virtual void Release(void) = 0;

//oDestɍőiSizeoCg̃f[^݁ÃoCgԂ
//G[ꍇAG[tOtrueƂA߂oCgԂB
	virtual uint32 Read(void *oDest,uint32 iSize) = 0;

//tH[}bgԂ
	virtual Format GetFormat(void) const = 0;
//Xg[I[ɒBǂ
	virtual bool isEnd(void) const = 0;
//G[tȌԂԂāAG[tOfalseɂ܂B
	virtual bool Failed(void) = 0;

};

class I_SeekableInputStream : public I_InputStream
{
protected:
	~I_SeekableInputStream() {}
public:
//I_InputStream interface
	virtual void AddRef(void) = 0;
	virtual void Release(void) = 0;
	virtual uint32 Read(void *oDest,uint32 iSize) = 0;
	virtual Format GetFormat(void) const = 0;
	virtual bool isEnd(void) const = 0;
	virtual bool Failed(void) = 0;


//Tvœǂݏoʒuݒ肵Aۂɐݒ肵ʒuԂ܂
//length()ȏ̈^ꂽlengthɃNbsO܂B
//G[ꍇAG[tOZbgAuint32(-1)Ԃ܂B
	virtual uint32 Seek(uint32 samples) = 0;
//TvŌ݂̓ǂݏoʒuԂ܂B
	virtual uint32 Tell(void) const = 0;
//Xg[̑STvB
	virtual uint32 GetLength(void) const = 0;
};


}//namespace Sound
}//namespace Juna

#endif
