
#ifndef Game_Title_Scene_H
#define Game_Title_Scene_H

#include "Scene.h"
#include "Juna/D2D/Direct2D.h"
#include "Input.h"

class ShootingScene;

class TitleScene : public I_Scene
{
public:
	TitleScene(void) {}
	~TitleScene() {}

	bool Initialize(Juna::D2D::I_ScreenSurface &screen,
					Juna::D2D::I_SpriteSurface &sprite,
					Juna::D2D::I_SpriteSurface &ascii,
					const Juna::Input::I_GameController &input,
					ShootingScene &shooting);

	virtual I_Scene *Action(void);
private:

	Juna::D2D::I_ScreenSurface *Screen;
	Juna::D2D::I_SpriteSurface *Sprite;
	Juna::D2D::I_SpriteSurface *Ascii;
	const Juna::Input::I_GameController *Input;

	ShootingScene *Shooting;
};

#endif

