

#ifndef Juna_Vector_2D_H
#define Juna_Vector_2D_H


namespace Juna {

//	񎟌xNgNXev[g
template<typename T>
struct Vector2D
{
//	vf
	T x,y;
//	RXgN^
	Vector2D(void) {}
	Vector2D(T x,T y) : x(x),y(y) {}
//	Vector2D(const Vector2D &src) : x(src.x),y(src.y) {}

//	
	Vector2D &Assign(T x,T y) {this->x = x;this->y = y;return this;}
//	Vector2D &operator=(const Vector2D &rhs) {x = rhs.x;y = rhs.y;return *this;}
//	Z
	Vector2D &operator+=(const Vector2D &rhs) {x += rhs.x;y += rhs.y;return *this;}
	Vector2D operator+(const Vector2D &rhs) const {return Vector2D(x + rhs.x,y + rhs.y);}
//	Z
	Vector2D &operator-=(const Vector2D &rhs) {x -= rhs.x;y -= rhs.y;return *this;}
	Vector2D operator-(const Vector2D &rhs) const {return Vector2D(x - rhs.x,y - rhs.y);}
//	XJ[{
	Vector2D &operator*=(T scalar) {x *= scalar;y *= scalar;return *this;}
	Vector2D operator*(T scalar) const {return Vector2D(x * scalar,y * scalar);}
	Vector2D &operator/=(T scalar) {x /= scalar;y /= scalar;return *this;}
	Vector2D operator/(T scalar) const {return Vector2D(x / scalar,y / scalar);}
//	txNg
	Vector2D operator-(void) const {return Vector2D(-x,-y);}

//	
	T DotProduct(const Vector2D &rhs) const {return x * rhs.x + y * rhs.y;}
	T InnerProduct(const Vector2D &rhs) const {return x * rhs.x + y * rhs.y;}
	T ScalarProduct(const Vector2D &rhs) const {return x * rhs.x + y * rhs.y;}
//	O
	T CrossProduct(const Vector2D &rhs) const {return x * rhs.y - y * rhs.x;}
	T OuterProduct(const Vector2D &rhs) const {return x * rhs.y - y * rhs.x;}
	T VectorProduct(const Vector2D &rhs) const {return x * rhs.y - y * rhs.x;}
//	2
	T LengthSquare(void) const {return x * x + y * y;}
};

}//namespace Juna

#endif
