

#ifndef Game_Wall_H
#define Game_Wall_H


#include "Entity.h"
#include "Obstruct.h"
#include "Attack.h"
#include "Visual.h"
#include "Generator.h"


class Wall : public I_Entity,
			 public I_Obstructor,
			 public I_Attacker
{
	Wall(Generator &generator);
	virtual ~Wall() {}
public:
	static Wall *Create(Generator &generator);

	virtual bool Update(void);
	virtual void Break(void);

	virtual void Obstruct(const ObstructParam &param);

	virtual void Attack(const AttackParam &param);

private:
	Generator &Generator;
};

#endif
